Description

In terms of usability, it'd be great if there was a plugin that allowed users to login using their facebook/twitter/openid or other account

that the user would like to use. This would help in lifting an additional barricade to user adoption of redmine.

History

#1 - 2009-09-10 03:06 - Eric Davis

Redmine supported OpenID (#699) already.  I'm not sure of the value of allowing Facebook or Twitter authentications.  Perhaps someone could build

a plugin to support these authentication types.

#2 - 2009-09-11 01:40 - Michael Koch

In terms of reaching a larger user base, having multiple routes to login into redmine seems useful. Maybe not?

#3 - 2009-09-12 06:31 - Eric Davis

I could see those being useful, but not as a core feature.  If they were built as a plugin that could be installed, I'd be happy to help the developer if

they some core modifications.  What does everyone else think?

#4 - 2009-09-14 23:26 - Michael Koch

i agree that as a plugin, it would be great. unfortunately, i am not a programmer, but hopefully someone out there has the expertise to do this.

#5 - 2009-09-24 10:32 - Anh Kỳ Huỳnh

I am going to write this plugin. I may publish it this weekend. If you intend to write or request for features, please comment here.

#6 - 2009-09-24 23:06 - Michael Koch

When logging in, it'd be nice to have a drop down menu from which you could choose the site you want to login thru.

Found this site that seems to have a good tutorial on how to do it.

Django - SocialAuth

Demo of SocialAuth

#7 - 2009-10-06 07:03 - Michael Koch

Hello Ky,

I was wondering what the current status of this plugin is?

Thanks!

Mike

#8 - 2013-03-18 17:39 - Dipan Mehta

Not fBConnect/twitter but something you can check here:

1. OpenId Selector

2. OpenID Fix

3. Redmine omniauth google

4. Google Apps login

#9 - 2013-03-23 09:22 - Toshi MARUYAMA

- Category set to Accounts / authentication
https://www.redmine.org/issues/699
http://uswaretech.com/blog/2009/08/django-socialauth-login-via-twitter-facebook-openid-yahoo-google/
http://socialauth.uswaretech.net/accounts/login/?next=/
http://www.redmine.org/plugins/openid-selector
http://www.redmine.org/plugins/openid_fix
http://www.redmine.org/plugins/redmine_omniauth_google
http://www.redmine.org/plugins/google_apps
http://www.tcpdf.org

